package cn.wisenergy.common.utils.exception;

/**
 * 响应码基类
 *
 * @author wyy
 * @data 2019/08/15
 */
public enum BASE_RESP_CODE_ENUM {
    /********************* SpringMBoot 系统异常 **********************/
    MIS_REQ_PARAM("400", "请求参数丢失"),
    NO_AUTH_REQUEST("401", "未授权"),
    REJECT_REQUEST("403", "未授权"),
    RESOURCE_NOT_FOUND("404", "请求的资源不存在"),
    METHOD_NOT_SUPPORTED("405", "不支持的请求方法"),
    MEDIA_TYPE_NOT_ACCEPT("406", "无法接受请求中的媒体类型"),
    REQUEST_TIME_OUT("408", "无法接受请求中的媒体类型"),
    MEDIA_TYPE_NOT_SUPPORTED("415", "不支持的媒体类型"),
    SERVER_ERROR("500", "获取数据异常"),
    INPUT_PARAM_IS_NULL("600", "入参为空"),
    WORK_ORDER_INFO_IS_NULL("601", "工单信息为空"),
    USER_ADD_FAIL("602", "新建用户失败"),
    UPDATE_DATA_FAIL("603", "更新数据失败"),
    USER_UPDATE_PASSWORD_FAIL("604", "用户修改密码失败"),
    UPDATE_PASSWORD_FAIL_OLD_PASSWORD_ERROR("605", "修改密码失败,旧密码错误"),
    RECORD_WORD_ADD_FAIL("606", "字段添加失败"),
    USER_RESET_PASSWORD_FAIL("607", "用户重置密码失败"),
    FILE_NOT_NULL("608", "上传文件不能为空"),
    STATISTICS_RECORD_DATA_FAIL("609", "统计档案数据失败"),
    EQUIPMENT_INFO_IS_NULL("610", "设备信息为空"),
    QUERY_WORK_ORDER_DATA_IS_NULL("611", "获取工单数据为空"),
    WORK_TIME_NOT_OVER_EIGHT("611", "每日累计工时不超过8小时"),
    USER_ACCOUNT_ALREADY_EXIST("612", "用户账号已存在"),
    USER_PHONE_ALREADY_EXIST("613", "该手机号已被注册"),
    INSERT_DATA_IS_FAIL("614", "插入数据失败"),
    FILE_INCORRETC_FORMAT("615", "文件格式不正确"),
    RECORD_WORD_REPEAT("616", "字段名称重复"),
    WORD_NAME_REPEAT("617", "字段名称请勿重复"),
    QUERY_USER_INFO_FAIL("618", "获取用户信息失败"),
    WORK_ORDER_ALREADY_COMMIT("619", "工单已填报，不能重复填报"),
    WORK_TIME_OVER_NOW_DAY("620", "工单日期不能大于当天"),
    INSERT_WORK_COLLECT_DATA_FAIL("621", "插入工时单汇总信息失败"),
    NO_JOIN_EVERY_PROJECT_PLASE_JION("622", "您还没有加入项目中，请先去加入项目"),
    THE_USER_NOT_MANAGER_PLASE_MANAGER_LOGIN("623", "您不是管理员，请登录管理员账号"),
    DEPT_NOT_HAVE_USER("624", "该部门下没有人员"),
    PROJECT_NOT_HAVE_USER("624", "该部门下没有项目"),
    USER_PHONE_IS_ERROR("625", "用户名/手机号不正确"),
    DELETE_OLD_WORK_ORDER_FAIL("626","删除旧工单数据失败"),
    DEPT_NOT_FOUND("627", "部门信息未找到");


    /**
     * 错误编码
     */
    public String code;

    /**
     * 错误编码信息
     */
    public String msg;

    /**
     * 构造函数
     *
     * @param code 编码
     * @param msg  编码信息
     */
    BASE_RESP_CODE_ENUM(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    /**
     * 获取编码
     */
    public String getCode() {
        return code;
    }

    /**
     * 设置编码
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * 获取编码信息
     */
    public String getMsg() {
        return msg;
    }

    /**
     * 设置编码信息
     */
    public void setMsg(String msg) {
        this.msg = msg;
    }
}
