package cn.wisenergy.mapper;

import cn.wisenergy.model.app.WorkTimeOrder;
import cn.wisenergy.model.dto.DayWorkTimeAndType;
import cn.wisenergy.model.dto.MonthlyWorkingHoursStatistics;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.HashMap;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
public interface WorkTimeOrderMapper extends BaseMapper<WorkTimeOrder> {

    /**
     * 根据填报项目类型获取次数和工时汇总
     * @param userId
     * @return
     */
    MonthlyWorkingHoursStatistics collectByProjectType(Integer userId,Integer projectType, String currentMonthFirstDay);

    /**
     *
     * @param year
     * @param month
     * @param userId
     * @return
     */
   List<DayWorkTimeAndType> listByDateAndUserId(Integer year, Integer month, Integer userId);


    /**
     * 根据条件获取大于某时间的工单数量
     * @param map
     * @return
     */
    Integer getCountByCondition(HashMap<String, Object> map);
}
