package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="WorkProject", description="工单项目实体类")
public class WorkProject implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id",value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(name = "projectNumber",value = "项目编号")
    private String oaProjectNumber;

    @ApiModelProperty(name = "projectName",value = "项目名称")
    private String projectName;

    @ApiModelProperty(name = "type",value = "1:项目，2：商机")
    private Integer type;

    @ApiModelProperty(name = "managerId",value = "项目经理userId")
    private Integer managerId;

    @ApiModelProperty(name = "managerName",value = "项目经理姓名")
    private String managerName;

    @ApiModelProperty(name = "deptId",value = "部门id")
    private Integer deptId;

    @ApiModelProperty(name = "workTime",value = "工时预算")
    private Integer workTime;

    @ApiModelProperty(name = "costBudget",value = "成本预算,以万为单位")
    private BigDecimal costBudget;

    @ApiModelProperty(name = "isConclusion",value = "是否结项 :0:项目已结束、1:项目未结束")
    private Integer isConclusion;

    @ApiModelProperty(name = "startTime",value = "项目开始时间")
    private Integer startTime;

    @ApiModelProperty(name = "endTime",value = "项目结束时间")
    private Integer endTime;

    @ApiModelProperty(name = "createTime",value = "创建时间")
    private Date createTime;

    @ApiModelProperty(name = "modifyTime",value = "修改时间")
    private Date modifyTime;


}
